Name:		ufoai
Version:	2.4
Release:	%mkrel 6
URL:		http://ufoai.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}-source.tar.bz2
Source1:	%{name}.desktop
Patch0:		ufoai-2.4-mdv-destdir-support.patch
Patch1:		ufoai-2.4-mdv-dont-strip-binaries.patch
Patch2:		ufoai-2.4-mdv-missing-shebang.patch
Patch3:		ufoai-2.4-link.patch
License:	GPLv2+
Group:		Games/Strategy
Summary:	UFO: Alien Invasion
Requires:	%{name}-data = %{version}

BuildRequires:	pkgconfig(libcurl)
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(sdl) >= 1.2.10
BuildRequires:	pkgconfig(SDL_image)  >= 1.2.7
BuildRequires:	pkgconfig(SDL_mixer) >= 1.2.7
BuildRequires:	SDL_ttf-devel >= 2.0.7
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(gtksourceview-2.0)
BuildRequires:	pkgconfig(gdkglext-x11-1.0)
BuildRequires:	gtk2-devel
BuildRequires:	mxml-devel
# xvid is in tainted, but we can build without support, adding dlopen() support and
# a suggests on it could be done though..
#BuildRequires:	xvid-devel
BuildRequires:	pkgconfig(theoradec)
BuildRequires:	zip

%description
UFO: ALIEN INVASION is a strategy game featuring tactical combat against
hostile alien forces which are about to infiltrate earth at this very
moment. You are in command of a small special unit which has been
founded to face the alien strike force. To be successful on the long
run, you will also have to have a research team study the aliens and
their technologies in order to learn as much as possible about their
technology, their goals and the aliens themselves. 'UFO: Alien Invasion'
is heavily inspired by the 'X-COM' series by Mythos and Microprose.


%prep
%setup -q -n %{name}-%{version}-source
%patch0 -p1 -b .destdir~
%patch1 -p1 -b .nostrip~
%patch2 -p1 -b .shebang~
%patch3 -p0 -b .link

%build
./configure	--prefix=%{_prefix} \
		--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}/ufoai \
		--localedir=%{_datadir}/locale \
		--enable-release \
%ifarch x86_64
		--enable-sse \
%endif
		--enable-cgame-campaign \
		--enable-cgame-multiplayer \
		--enable-cgame-skirmish \
		--enable-cgame-staticcampaign \
		--enable-game \
		--enable-memory \
		--enable-testall \
		--enable-ufo2map \
		--enable-ufoded \
		--enable-ufo \
		--enable-ufomodel \
		--enable-uforadiant \
		--enable-ufoslicer
%make LDFLAGS="%ldflags" uforadiant_LINKER="g++ %ldflags"

%install
%makeinstall_std
# Remove empty data files to avoid file conflict with data package
rm -f %{buildroot}/%{_gamesdatadir}/%{name}/base/*pk3

%find_lang ufoai
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -m644 src/ports/linux/ufo.png -D %{buildroot}%{_datadir}/pixmaps/%{name}.png

%files -f ufoai.lang
%doc LICENSES
%{_gamesbindir}/ufo*
%dir %{_gamesdatadir}/ufoai
%{_gamesdatadir}/ufoai/memory
%{_gamesdatadir}/ufoai/ufo*
%dir %{_gamesdatadir}/ufoai/base
%{_gamesdatadir}/ufoai/base/game.so
%dir %{_gamesdatadir}/ufoai/radiant
%{_gamesdatadir}/ufoai/radiant/uforadiant/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.4-6.mga3
+ Revision: 384989
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 tv <tv> 2.4-5.mga3
+ Revision: 298628
- rebuild for new pango

* Thu Sep 27 2012 tv <tv> 2.4-4.mga3
+ Revision: 298611
- rebuild for new pango

* Thu Sep 27 2012 fwang <fwang> 2.4-3.mga3
+ Revision: 298583
- specify linker command
- add more linker flags

* Thu Sep 27 2012 fwang <fwang> 2.4-2.mga3
+ Revision: 298577
- fix linkage
- use our system flags

* Sat Jun 30 2012 solbu <solbu> 2.4-1.mga3
+ Revision: 265323
- Add mxml-devel as buildrequire
- Fix Buildrequires
- Fix spec file
- Add patches from Mandriva
- New version

  + stblack <stblack>
    - imported package ufoai

